Subject: email for "Ten Speed Press" ???

From: [email-masked] (Tryggvi Emilsson)
Date: 15 Mar 1996 10:23:20 -0800

I'm personally quite fond of David Arora's "Mushrooms Demystified".  
Although Arora has a west coast bias (all field guides have a regional
bias.  The Audubon book has an east coast bias, for example), it is still
useful in general context.  It's a big book (960 pages), covering over
2000 species of mushroom (enough to keep you busy for a while).  Arora's
publisher (Ten Speed Press, Berkeley) is prodding him for a third edition
(field guides should be updated regularly, and Arora's last edition was
published in 1986). Price is $24.95, and well worth it.
                              ^^^^^^^^^^^^^^^^^^^^^^^^^

                                 ABSOLUTELY!!!!.  

"Ten Speed Press" has put out some other nice publications. I found a lovely
book on African cooking put out by  these people,at the public library in
Urbana,Illinois...  (Want some scrumptuous grub...CHECK THIS OUT!!!)

I would like to lay my hands on their catalog...

Tryggvi Emilsson
U.ofIllinois/Chemistry